## GgitError GgitError |

## Functions

GQuark | ggit_error_quark ()

## Types and Values

enum | GgitError
#define | GGIT_ERROR

## Object Hierarchy

        GEnum
        ╰── GgitError

## Description

## Functions

### ggit_error_quark ()

    GQuark
    ggit_error_quark (void);

Error domain for Ggit functions. Errors in this domain will be from the GgitError enumeration. See GError for information on error domains.

## Types and Values

### enum GgitError

Error codes for the `GGIT_ERROR` error domain.

#### Members

GGIT_ERROR_GIT_ERROR | A generic error for when an operation fails. |
GGIT_ERROR_NOTFOUND | Input does not exist in the scope searched. |
GGIT_ERROR_EXISTS | A reference with this name already exists. |
GGIT_ERROR_AMBIGUOUS | The given error is ambiguous. |
GGIT_ERROR_BUFS | The buffer is too short. |
GGIT_ERROR_PASSTHROUGH | Skip and passthrough the given ODB backend. |
GGIT_ERROR_ITEROVER | The iteration has finished. |

### GGIT_ERROR

    #define GGIT_ERROR ggit_error_quark ()

Error domain for Ggit. Errors in this domain will be from the GgitError enumeration. See GError for more information on error domains.